import i18n, { type LocaleType } from '@/i18n'

export function useI18n() {
	return {
		locale: i18n.locale,
		t: (key: string, params?: Record<string, string | number>) => i18n.t(key, params),
		tm: (key: string) => i18n.tm(key),
		setLocale: (locale: LocaleType) => i18n.setLocale(locale),
		getLocale: () => i18n.getLocale()
	}
}
